<?php
include ('auth.inc'); 
include('common.inc'); 
include('errorMessages.inc'); 
$x_47 = $_REQUEST["id"]; 
$x_8o = array(); 
$x_d->getUploadStatus($x_47, &$x_8o); 
$x_8p = $x_8o['phase']; 
$x_8q = $x_8o["percentage"]; 
if ($x_8p != sslvpn_UP_Finished && $x_8p != sslvpn_UP_Failed) { 
$x_8r = 1; 
} else { 
$x_8r = 0; 
} 
if (sslvpn_UP_Failed == $x_8p) { 
switch ($x_8o['result']) { 
case sslvpn_ERR_VirusFound: 
case sslvpn_ERR_AVScanFailed: 
$x_u = $x_8o['antivirusInfo']; 
break; 
default: 
$x_u = x_v($x_8o['systemErrorCode']); 
} 
} 
header("content-type: text/html; charset=utf-8"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Expires: Mon, 10 Jan 1970 01:00:00 GMT"); 
header("PhaseId: " . $x_8p); 
header("Continue: " . $x_8r); 
header("Percentage: " . $x_8q); 
header("id: " . $x_47); 
if (sslvpn_UP_Finished == $x_8p) { 
$x_d -> getSessionVariable('currentDir', &$x_8s); 
$x_1r = x_23($x_8s); 
echo 'var x_8t = {"path":"' . addslashes($x_1r) . '","url":"' . $x_8s . '"}'; 
} elseif (sslvpn_UP_Failed == $x_8p) { 
header("Result: " . $x_8o['result']); 
echo $x_u; 
} else { 
echo 'getUploadStatus'; 
} 
exit(); 
?>
